module.exports = {
  title: '0xADB',
  description: 'Welcome to adb.sh',
  head: [
    ['meta', { name: 'theme-color', content: '#3eaf7c' }],
    ['meta', { name: 'apple-mobile-web-app-capable', content: 'yes' }],
    ['meta', { name: 'apple-mobile-web-app-status-bar-style', content: 'black' }]
  ],
  markdown: {
    anchor: { permalink: false },
    extendMarkdown: md => {
      md.set({ breaks: true });
    }
  },
  dest: "./dist",
  themeConfig: {
    repo: '',
    editLinks: false,
    docsDir: '',
    editLinkText: '',
    lastUpdated: false,
    searchMaxSuggestions: 10,
    searchHotkeys: ['s', 'k', '/'],
    searchPlaceholder: 'Ctrl + S',
    test: [/.+.md/],
    nav: [
      {
        text: 'projects',
        link: '/projects',
      },
      {
        text: 'music',
        link: '/music',
      },
    ],
    sidebar: {
      '/guide/': [
        {
          title: 'Guide',
          collapsable: false,
          children: [
            '',
            'using-vue',
          ]
        }
      ],
    }
  },
  plugins: [
    '@vuepress/plugin-search',
  ],
}
